<?php

namespace App\Models\Shop;

use Illuminate\Database\Eloquent\Model;
use Staudenmeir\EloquentHasManyDeep\HasRelationships;

class DistributionChannel extends Model
{
    use HasRelationships;

    protected $guarded = ['id'];
    protected $table = 'shop_distribution_channel';
    
    public function tariff_generics()
    {
        return $this->hasMany(TariffGeneric::class);
    }
}
